Set Thread Evaluation
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"evaluation": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation"
payload = { "evaluation": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({evaluation: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "thread",
"user_email": "<string>",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"reviewed_at": "<string>",
"admin_status": {
"id": "<string>",
"name": "<string>",
"object": "thread_admin_status",
"color": "<string>"
},
"admin_tags": [],
"llm_judge_evaluated": false,
"llm_judge_need_review": false,
"cx_score": 123,
"created_at": "<string>",
"updated_at": "<string>",
"message_count": 0
}Conversations
Set Thread Evaluation
Set the evaluation (OK / KO / NEUTRAL / NOT_EVALUATED) for a conversation thread.
POST
/
api
/
v1
/
conversations
/
{thread_id}
/
evaluation
Set Thread Evaluation
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"evaluation": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation"
payload = { "evaluation": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({evaluation: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/conversations/{thread_id}/evaluation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "thread",
"user_email": "<string>",
"evaluation": "<string>",
"evaluation_comment": "<string>",
"reviewed_at": "<string>",
"admin_status": {
"id": "<string>",
"name": "<string>",
"object": "thread_admin_status",
"color": "<string>"
},
"admin_tags": [],
"llm_judge_evaluated": false,
"llm_judge_need_review": false,
"cx_score": 123,
"created_at": "<string>",
"updated_at": "<string>",
"message_count": 0
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
